## org.eclipse.datatools.modelbase.sql.query.impl
Class WithTableSpecificationImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.WithTableSpecificationImpl

All Implemented Interfaces:
  SQLObject, SQLQueryObject, WithTableSpecification

public class WithTableSpecificationImpl
extends SQLQueryObjectImpl
implements WithTableSpecification

An implementation of the model object 'With Table Specification'.

The following features are implemented:

- `Query Expression Root`
- `With Table Query Expr`
- `With Table References`
- `Column Name List`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetWithTableQueryExpr(QueryExpressionBody newWithTableQueryExpr, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainer(NotificationChain msgs)`
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`EList` `getColumnNameList()`
`QueryExpressionRoot` `getQueryExpressionRoot()`
`QueryExpressionBody` `getWithTableQueryExpr()`
`EList` `getWithTableReferences()`
`void` `setQueryExpressionRoot(QueryExpressionRoot newQueryExpressionRoot)`
`void` `setWithTableQueryExpr(QueryExpressionBody newWithTableQueryExpr)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, toString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getQueryExpressionRoot

    public QueryExpressionRoot getQueryExpressionRoot()

  Specified by:
    `getQueryExpressionRoot` in interface `WithTableSpecification`
  Returns:
    the value of the 'Query Expression Root' container reference.
  See Also:
    `WithTableSpecification.setQueryExpressionRoot(QueryExpressionRoot)`, `SQLQueryModelPackage.getWithTableSpecification_QueryExpressionRoot()`, `QueryExpressionRoot.getWithClause()`

### setQueryExpressionRoot

    public void setQueryExpressionRoot(QueryExpressionRoot newQueryExpressionRoot)

  Specified by:
    `setQueryExpressionRoot` in interface `WithTableSpecification`
  Parameters:
    `newQueryExpressionRoot` - the new value of the 'Query Expression Root' container reference.
  See Also:
    `WithTableSpecification.getQueryExpressionRoot()`

### getWithTableQueryExpr

    public QueryExpressionBody getWithTableQueryExpr()

  Specified by:
    `getWithTableQueryExpr` in interface `WithTableSpecification`
  Returns:
    the value of the 'With Table Query Expr' containment reference.
  See Also:
    `WithTableSpecification.setWithTableQueryExpr(QueryExpressionBody)`, `SQLQueryModelPackage.getWithTableSpecification_WithTableQueryExpr()`, `QueryExpressionBody.getWithTableSpecification()`

### basicSetWithTableQueryExpr

    public NotificationChain basicSetWithTableQueryExpr(QueryExpressionBody newWithTableQueryExpr,
                                                        NotificationChain msgs)

### setWithTableQueryExpr

    public void setWithTableQueryExpr(QueryExpressionBody newWithTableQueryExpr)

  Specified by:
    `setWithTableQueryExpr` in interface `WithTableSpecification`
  Parameters:
    `newWithTableQueryExpr` - the new value of the 'With Table Query Expr' containment reference.
  See Also:
    `WithTableSpecification.getWithTableQueryExpr()`

### getWithTableReferences

    public EList getWithTableReferences()

  Specified by:
    `getWithTableReferences` in interface `WithTableSpecification`
  Returns:
    the value of the 'With Table References' reference list.
  See Also:
    `SQLQueryModelPackage.getWithTableSpecification_WithTableReferences()`, `WithTableReference.getWithTableSpecification()`

### getColumnNameList

    public EList getColumnNameList()

  Specified by:
    `getColumnNameList` in interface `WithTableSpecification`
  Returns:
    the value of the 'Column Name List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getWithTableSpecification_ColumnNameList()`, `ColumnName.getWithTableSpecification()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLQueryObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLQueryObjectImpl`

### eBasicRemoveFromContainer

    public NotificationChain eBasicRemoveFromContainer(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `SQLQueryObjectImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLQueryObjectImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `SQLQueryObjectImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `SQLQueryObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.